Skip to main content

Woocommerce full reference

This is the full reference documentation for the Woocommerce agent connector.

Supported entities and actions

The Woocommerce connector supports the following entities and actions.

EntityActions
CustomersList, Get, Search
OrdersList, Get, Search
ProductsList, Get, Search
CouponsList, Get, Search
Product CategoriesList, Get, Search
Product TagsList, Get, Search
Product ReviewsList, Get, Search
Product AttributesList, Get, Search
Product VariationsList, Get, Search
Order NotesList, Get, Search
RefundsList, Get, Search
Payment GatewaysList, Get, Search
Shipping MethodsList, Get, Search
Shipping ZonesList, Get, Search
Tax RatesList, Get, Search
Tax ClassesList, Search

Customers

Customers List

List customers

Python SDK

await woocommerce.customers.list()

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "customers",
"action": "list"
}'

Parameters

Parameter NameTypeRequiredDescription
pageintegerNoCurrent page of the collection
per_pageintegerNoMaximum number of items to return per page
searchstringNoLimit results to those matching a string
orderby"id" | "include" | "name" | "registered_date"NoSort collection by attribute
order"asc" | "desc"NoOrder sort attribute ascending or descending
emailstringNoLimit result set to resources with a specific email
role"all" | "administrator" | "editor" | "author" | "contributor" | "subscriber" | "customer" | "shop_manager"NoLimit result set to resources with a specific role
Response Schema

Records

Field NameTypeDescription
idnull | integer
date_creatednull | string
date_created_gmtnull | string
date_modifiednull | string
date_modified_gmtnull | string
emailnull | string
first_namenull | string
last_namenull | string
rolenull | string
usernamenull | string
billingnull | object
shippingnull | object
is_paying_customernull | boolean
avatar_urlnull | string
meta_datanull | array

Customers Get

Retrieve a customer

Python SDK

await woocommerce.customers.get(
id=0
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "customers",
"action": "get",
"params": {
"id": 0
}
}'

Parameters

Parameter NameTypeRequiredDescription
idintegerYesUnique identifier for the customer
Response Schema

Records

Field NameTypeDescription
idnull | integer
date_creatednull | string
date_created_gmtnull | string
date_modifiednull | string
date_modified_gmtnull | string
emailnull | string
first_namenull | string
last_namenull | string
rolenull | string
usernamenull | string
billingnull | object
shippingnull | object
is_paying_customernull | boolean
avatar_urlnull | string
meta_datanull | array

Search and filter customers records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await woocommerce.customers.search(
query={"filter": {"eq": {"avatar_url": "<str>"}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "customers",
"action": "search",
"params": {
"query": {"filter": {"eq": {"avatar_url": "<str>"}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
avatar_urlstringAvatar URL
billingobjectList of billing address data
date_createdstringThe date the customer was created, in the site's timezone
date_created_gmtstringThe date the customer was created, as GMT
date_modifiedstringThe date the customer was last modified, in the site's timezone
date_modified_gmtstringThe date the customer was last modified, as GMT
emailstringThe email address for the customer
first_namestringCustomer first name
idintegerUnique identifier for the resource
is_paying_customerbooleanIs the customer a paying customer
last_namestringCustomer last name
meta_dataarrayMeta data
rolestringCustomer role
shippingobjectList of shipping address data
usernamestringCustomer login name
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].avatar_urlstringAvatar URL
data[].billingobjectList of billing address data
data[].date_createdstringThe date the customer was created, in the site's timezone
data[].date_created_gmtstringThe date the customer was created, as GMT
data[].date_modifiedstringThe date the customer was last modified, in the site's timezone
data[].date_modified_gmtstringThe date the customer was last modified, as GMT
data[].emailstringThe email address for the customer
data[].first_namestringCustomer first name
data[].idintegerUnique identifier for the resource
data[].is_paying_customerbooleanIs the customer a paying customer
data[].last_namestringCustomer last name
data[].meta_dataarrayMeta data
data[].rolestringCustomer role
data[].shippingobjectList of shipping address data
data[].usernamestringCustomer login name

Orders

Orders List

List orders

Python SDK

await woocommerce.orders.list()

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "orders",
"action": "list"
}'

Parameters

Parameter NameTypeRequiredDescription
pageintegerNoCurrent page of the collection
per_pageintegerNoMaximum number of items to return per page
searchstringNoLimit results to those matching a string
afterstringNoLimit response to resources published after a given ISO8601 date
beforestringNoLimit response to resources published before a given ISO8601 date
modified_afterstringNoLimit response to resources modified after a given ISO8601 date
modified_beforestringNoLimit response to resources modified before a given ISO8601 date
status"any" | "pending" | "processing" | "on-hold" | "completed" | "cancelled" | "refunded" | "failed" | "trash"NoLimit result set to orders with a specific status
customerintegerNoLimit result set to orders assigned to a specific customer ID
productintegerNoLimit result set to orders that include a specific product ID
orderby"date" | "id" | "include" | "title" | "slug" | "modified"NoSort collection by attribute
order"asc" | "desc"NoOrder sort attribute ascending or descending
Response Schema

Records

Field NameTypeDescription
idnull | integer
parent_idnull | integer
numbernull | string
order_keynull | string
created_vianull | string
versionnull | string
statusnull | string
currencynull | string
currency_symbolnull | string
date_creatednull | string
date_created_gmtnull | string
date_modifiednull | string
date_modified_gmtnull | string
discount_totalnull | string
discount_taxnull | string
shipping_totalnull | string
shipping_taxnull | string
cart_taxnull | string
totalnull | string
total_taxnull | string
prices_include_taxnull | boolean
customer_idnull | integer
customer_ip_addressnull | string
customer_user_agentnull | string
customer_notenull | string
billingnull | object
shippingnull | object
payment_methodnull | string
payment_method_titlenull | string
transaction_idnull | string
date_paidnull | string
date_paid_gmtnull | string
date_completednull | string
date_completed_gmtnull | string
cart_hashnull | string
meta_datanull | array
line_itemsnull | array
tax_linesnull | array
shipping_linesnull | array
fee_linesnull | array
coupon_linesnull | array
refundsnull | array
payment_urlnull | string
is_editablenull | boolean
needs_paymentnull | boolean
needs_processingnull | boolean

Orders Get

Retrieve an order

Python SDK

await woocommerce.orders.get(
id=0
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "orders",
"action": "get",
"params": {
"id": 0
}
}'

Parameters

Parameter NameTypeRequiredDescription
idintegerYesUnique identifier for the order
Response Schema

Records

Field NameTypeDescription
idnull | integer
parent_idnull | integer
numbernull | string
order_keynull | string
created_vianull | string
versionnull | string
statusnull | string
currencynull | string
currency_symbolnull | string
date_creatednull | string
date_created_gmtnull | string
date_modifiednull | string
date_modified_gmtnull | string
discount_totalnull | string
discount_taxnull | string
shipping_totalnull | string
shipping_taxnull | string
cart_taxnull | string
totalnull | string
total_taxnull | string
prices_include_taxnull | boolean
customer_idnull | integer
customer_ip_addressnull | string
customer_user_agentnull | string
customer_notenull | string
billingnull | object
shippingnull | object
payment_methodnull | string
payment_method_titlenull | string
transaction_idnull | string
date_paidnull | string
date_paid_gmtnull | string
date_completednull | string
date_completed_gmtnull | string
cart_hashnull | string
meta_datanull | array
line_itemsnull | array
tax_linesnull | array
shipping_linesnull | array
fee_linesnull | array
coupon_linesnull | array
refundsnull | array
payment_urlnull | string
is_editablenull | boolean
needs_paymentnull | boolean
needs_processingnull | boolean

Search and filter orders records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await woocommerce.orders.search(
query={"filter": {"eq": {"billing": {}}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "orders",
"action": "search",
"params": {
"query": {"filter": {"eq": {"billing": {}}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
billingobjectBilling address
cart_hashstringMD5 hash of cart items to ensure orders are not modified
cart_taxstringSum of line item taxes only
coupon_linesarrayCoupons line data
created_viastringShows where the order was created
currencystringCurrency the order was created with, in ISO format
customer_idintegerUser ID who owns the order (0 for guests)
customer_ip_addressstringCustomer's IP address
customer_notestringNote left by the customer during checkout
customer_user_agentstringUser agent of the customer
date_completedstringThe date the order was completed, in the site's timezone
date_completed_gmtstringThe date the order was completed, as GMT
date_createdstringThe date the order was created, in the site's timezone
date_created_gmtstringThe date the order was created, as GMT
date_modifiedstringThe date the order was last modified, in the site's timezone
date_modified_gmtstringThe date the order was last modified, as GMT
date_paidstringThe date the order was paid, in the site's timezone
date_paid_gmtstringThe date the order was paid, as GMT
discount_taxstringTotal discount tax amount for the order
discount_totalstringTotal discount amount for the order
fee_linesarrayFee lines data
idintegerUnique identifier for the resource
line_itemsarrayLine items data
meta_dataarrayMeta data
numberstringOrder number
order_keystringOrder key
parent_idintegerParent order ID
payment_methodstringPayment method ID
payment_method_titlestringPayment method title
prices_include_taxbooleanTrue if the prices included tax during checkout
refundsarrayList of refunds
shippingobjectShipping address
shipping_linesarrayShipping lines data
shipping_taxstringTotal shipping tax amount for the order
shipping_totalstringTotal shipping amount for the order
statusstringOrder status
tax_linesarrayTax lines data
totalstringGrand total
total_taxstringSum of all taxes
transaction_idstringUnique transaction ID
versionstringVersion of WooCommerce which last updated the order
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].billingobjectBilling address
data[].cart_hashstringMD5 hash of cart items to ensure orders are not modified
data[].cart_taxstringSum of line item taxes only
data[].coupon_linesarrayCoupons line data
data[].created_viastringShows where the order was created
data[].currencystringCurrency the order was created with, in ISO format
data[].customer_idintegerUser ID who owns the order (0 for guests)
data[].customer_ip_addressstringCustomer's IP address
data[].customer_notestringNote left by the customer during checkout
data[].customer_user_agentstringUser agent of the customer
data[].date_completedstringThe date the order was completed, in the site's timezone
data[].date_completed_gmtstringThe date the order was completed, as GMT
data[].date_createdstringThe date the order was created, in the site's timezone
data[].date_created_gmtstringThe date the order was created, as GMT
data[].date_modifiedstringThe date the order was last modified, in the site's timezone
data[].date_modified_gmtstringThe date the order was last modified, as GMT
data[].date_paidstringThe date the order was paid, in the site's timezone
data[].date_paid_gmtstringThe date the order was paid, as GMT
data[].discount_taxstringTotal discount tax amount for the order
data[].discount_totalstringTotal discount amount for the order
data[].fee_linesarrayFee lines data
data[].idintegerUnique identifier for the resource
data[].line_itemsarrayLine items data
data[].meta_dataarrayMeta data
data[].numberstringOrder number
data[].order_keystringOrder key
data[].parent_idintegerParent order ID
data[].payment_methodstringPayment method ID
data[].payment_method_titlestringPayment method title
data[].prices_include_taxbooleanTrue if the prices included tax during checkout
data[].refundsarrayList of refunds
data[].shippingobjectShipping address
data[].shipping_linesarrayShipping lines data
data[].shipping_taxstringTotal shipping tax amount for the order
data[].shipping_totalstringTotal shipping amount for the order
data[].statusstringOrder status
data[].tax_linesarrayTax lines data
data[].totalstringGrand total
data[].total_taxstringSum of all taxes
data[].transaction_idstringUnique transaction ID
data[].versionstringVersion of WooCommerce which last updated the order

Products

Products List

List products

Python SDK

await woocommerce.products.list()

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "products",
"action": "list"
}'

Parameters

Parameter NameTypeRequiredDescription
pageintegerNoCurrent page of the collection
per_pageintegerNoMaximum number of items to return per page
searchstringNoLimit results to those matching a string
afterstringNoLimit response to resources published after a given ISO8601 date
beforestringNoLimit response to resources published before a given ISO8601 date
modified_afterstringNoLimit response to resources modified after a given ISO8601 date
modified_beforestringNoLimit response to resources modified before a given ISO8601 date
status"any" | "draft" | "pending" | "private" | "publish"NoLimit result set to products with a specific status
type"simple" | "grouped" | "external" | "variable"NoLimit result set to products with a specific type
skustringNoLimit result set to products with a specific SKU
featuredbooleanNoLimit result set to featured products
categorystringNoLimit result set to products assigned a specific category ID
tagstringNoLimit result set to products assigned a specific tag ID
on_salebooleanNoLimit result set to products on sale
min_pricestringNoLimit result set to products based on a minimum price
max_pricestringNoLimit result set to products based on a maximum price
stock_status"instock" | "outofstock" | "onbackorder"NoLimit result set to products with specified stock status
orderby"date" | "id" | "include" | "title" | "slug" | "price" | "popularity" | "rating" | "menu_order" | "modified"NoSort collection by attribute
order"asc" | "desc"NoOrder sort attribute ascending or descending
Response Schema

Records

Field NameTypeDescription
idnull | integer
namenull | string
slugnull | string
permalinknull | string
date_creatednull | string
date_created_gmtnull | string
date_modifiednull | string
date_modified_gmtnull | string
typenull | string
statusnull | string
featurednull | boolean
catalog_visibilitynull | string
descriptionnull | string
short_descriptionnull | string
skunull | string
pricenull | string
regular_pricenull | string
sale_pricenull | string
date_on_sale_fromnull | string
date_on_sale_from_gmtnull | string
date_on_sale_tonull | string
date_on_sale_to_gmtnull | string
price_htmlnull | string
on_salenull | boolean
purchasablenull | boolean
total_salesnull | integer
virtualnull | boolean
downloadablenull | boolean
downloadsnull | array
download_limitnull | integer
download_expirynull | integer
external_urlnull | string
button_textnull | string
tax_statusnull | string
tax_classnull | string
manage_stocknull | boolean
stock_quantitynull | integer
stock_statusnull | string
backordersnull | string
backorders_allowednull | boolean
backorderednull | boolean
sold_individuallynull | boolean
weightnull | string
dimensionsnull | object
shipping_requirednull | boolean
shipping_taxablenull | boolean
shipping_classnull | string
shipping_class_idnull | integer
reviews_allowednull | boolean
average_ratingnull | string
rating_countnull | integer
related_idsnull | array
upsell_idsnull | array
cross_sell_idsnull | array
parent_idnull | integer
purchase_notenull | string
categoriesnull | array
tagsnull | array
imagesnull | array
attributesnull | array
default_attributesnull | array
variationsnull | array
grouped_productsnull | array
menu_ordernull | integer
meta_datanull | array
low_stock_amountnull | integer
brandsnull | array
has_optionsnull | boolean
post_passwordnull | string
global_unique_idnull | string

Products Get

Retrieve a product

Python SDK

await woocommerce.products.get(
id=0
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "products",
"action": "get",
"params": {
"id": 0
}
}'

Parameters

Parameter NameTypeRequiredDescription
idintegerYesUnique identifier for the product
Response Schema

Records

Field NameTypeDescription
idnull | integer
namenull | string
slugnull | string
permalinknull | string
date_creatednull | string
date_created_gmtnull | string
date_modifiednull | string
date_modified_gmtnull | string
typenull | string
statusnull | string
featurednull | boolean
catalog_visibilitynull | string
descriptionnull | string
short_descriptionnull | string
skunull | string
pricenull | string
regular_pricenull | string
sale_pricenull | string
date_on_sale_fromnull | string
date_on_sale_from_gmtnull | string
date_on_sale_tonull | string
date_on_sale_to_gmtnull | string
price_htmlnull | string
on_salenull | boolean
purchasablenull | boolean
total_salesnull | integer
virtualnull | boolean
downloadablenull | boolean
downloadsnull | array
download_limitnull | integer
download_expirynull | integer
external_urlnull | string
button_textnull | string
tax_statusnull | string
tax_classnull | string
manage_stocknull | boolean
stock_quantitynull | integer
stock_statusnull | string
backordersnull | string
backorders_allowednull | boolean
backorderednull | boolean
sold_individuallynull | boolean
weightnull | string
dimensionsnull | object
shipping_requirednull | boolean
shipping_taxablenull | boolean
shipping_classnull | string
shipping_class_idnull | integer
reviews_allowednull | boolean
average_ratingnull | string
rating_countnull | integer
related_idsnull | array
upsell_idsnull | array
cross_sell_idsnull | array
parent_idnull | integer
purchase_notenull | string
categoriesnull | array
tagsnull | array
imagesnull | array
attributesnull | array
default_attributesnull | array
variationsnull | array
grouped_productsnull | array
menu_ordernull | integer
meta_datanull | array
low_stock_amountnull | integer
brandsnull | array
has_optionsnull | boolean
post_passwordnull | string
global_unique_idnull | string

Search and filter products records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await woocommerce.products.search(
query={"filter": {"eq": {"attributes": []}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "products",
"action": "search",
"params": {
"query": {"filter": {"eq": {"attributes": []}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
attributesarrayList of attributes
average_ratingstringReviews average rating
backorderedbooleanShows if the product is on backordered
backordersstringIf managing stock, this controls if backorders are allowed
backorders_allowedbooleanShows if backorders are allowed
button_textstringProduct external button text
catalog_visibilitystringCatalog visibility
categoriesarrayList of categories
cross_sell_idsarrayList of cross-sell products IDs
date_createdstringThe date the product was created
date_created_gmtstringThe date the product was created, as GMT
date_modifiedstringThe date the product was last modified
date_modified_gmtstringThe date the product was last modified, as GMT
date_on_sale_fromstringStart date of sale price
date_on_sale_from_gmtstringStart date of sale price, as GMT
date_on_sale_tostringEnd date of sale price
date_on_sale_to_gmtstringEnd date of sale price, as GMT
default_attributesarrayDefaults variation attributes
descriptionstringProduct description
dimensionsobjectProduct dimensions
download_expiryintegerNumber of days until access to downloadable files expires
download_limitintegerNumber of times downloadable files can be downloaded
downloadablebooleanIf the product is downloadable
downloadsarrayList of downloadable files
external_urlstringProduct external URL
grouped_productsarrayList of grouped products ID
idintegerUnique identifier for the resource
imagesarrayList of images
manage_stockbooleanStock management at product level
menu_orderintegerMenu order
meta_dataarrayMeta data
namestringProduct name
on_salebooleanShows if the product is on sale
parent_idintegerProduct parent ID
permalinkstringProduct URL
pricestringCurrent product price
price_htmlstringPrice formatted in HTML
purchasablebooleanShows if the product can be bought
purchase_notestringNote to send customer after purchase
rating_countintegerAmount of reviews
regular_pricestringProduct regular price
related_idsarrayList of related products IDs
reviews_allowedbooleanAllow reviews
sale_pricestringProduct sale price
shipping_classstringShipping class slug
shipping_class_idintegerShipping class ID
shipping_requiredbooleanShows if the product needs to be shipped
shipping_taxablebooleanShows if product shipping is taxable
short_descriptionstringProduct short description
skustringUnique identifier (SKU)
slugstringProduct slug
sold_individuallybooleanAllow one item per order
statusstringProduct status
stock_quantityintegerStock quantity
stock_statusstringControls the stock status
tagsarrayList of tags
tax_classstringTax class
tax_statusstringTax status
total_salesintegerAmount of sales
typestringProduct type
upsell_idsarrayList of up-sell products IDs
variationsarrayList of variations IDs
virtualbooleanIf the product is virtual
weightstringProduct weight
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].attributesarrayList of attributes
data[].average_ratingstringReviews average rating
data[].backorderedbooleanShows if the product is on backordered
data[].backordersstringIf managing stock, this controls if backorders are allowed
data[].backorders_allowedbooleanShows if backorders are allowed
data[].button_textstringProduct external button text
data[].catalog_visibilitystringCatalog visibility
data[].categoriesarrayList of categories
data[].cross_sell_idsarrayList of cross-sell products IDs
data[].date_createdstringThe date the product was created
data[].date_created_gmtstringThe date the product was created, as GMT
data[].date_modifiedstringThe date the product was last modified
data[].date_modified_gmtstringThe date the product was last modified, as GMT
data[].date_on_sale_fromstringStart date of sale price
data[].date_on_sale_from_gmtstringStart date of sale price, as GMT
data[].date_on_sale_tostringEnd date of sale price
data[].date_on_sale_to_gmtstringEnd date of sale price, as GMT
data[].default_attributesarrayDefaults variation attributes
data[].descriptionstringProduct description
data[].dimensionsobjectProduct dimensions
data[].download_expiryintegerNumber of days until access to downloadable files expires
data[].download_limitintegerNumber of times downloadable files can be downloaded
data[].downloadablebooleanIf the product is downloadable
data[].downloadsarrayList of downloadable files
data[].external_urlstringProduct external URL
data[].grouped_productsarrayList of grouped products ID
data[].idintegerUnique identifier for the resource
data[].imagesarrayList of images
data[].manage_stockbooleanStock management at product level
data[].menu_orderintegerMenu order
data[].meta_dataarrayMeta data
data[].namestringProduct name
data[].on_salebooleanShows if the product is on sale
data[].parent_idintegerProduct parent ID
data[].permalinkstringProduct URL
data[].pricestringCurrent product price
data[].price_htmlstringPrice formatted in HTML
data[].purchasablebooleanShows if the product can be bought
data[].purchase_notestringNote to send customer after purchase
data[].rating_countintegerAmount of reviews
data[].regular_pricestringProduct regular price
data[].related_idsarrayList of related products IDs
data[].reviews_allowedbooleanAllow reviews
data[].sale_pricestringProduct sale price
data[].shipping_classstringShipping class slug
data[].shipping_class_idintegerShipping class ID
data[].shipping_requiredbooleanShows if the product needs to be shipped
data[].shipping_taxablebooleanShows if product shipping is taxable
data[].short_descriptionstringProduct short description
data[].skustringUnique identifier (SKU)
data[].slugstringProduct slug
data[].sold_individuallybooleanAllow one item per order
data[].statusstringProduct status
data[].stock_quantityintegerStock quantity
data[].stock_statusstringControls the stock status
data[].tagsarrayList of tags
data[].tax_classstringTax class
data[].tax_statusstringTax status
data[].total_salesintegerAmount of sales
data[].typestringProduct type
data[].upsell_idsarrayList of up-sell products IDs
data[].variationsarrayList of variations IDs
data[].virtualbooleanIf the product is virtual
data[].weightstringProduct weight

Coupons

Coupons List

List coupons

Python SDK

await woocommerce.coupons.list()

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "coupons",
"action": "list"
}'

Parameters

Parameter NameTypeRequiredDescription
pageintegerNoCurrent page of the collection
per_pageintegerNoMaximum number of items to return per page
searchstringNoLimit results to those matching a string
afterstringNoLimit response to resources published after a given ISO8601 date
beforestringNoLimit response to resources published before a given ISO8601 date
modified_afterstringNoLimit response to resources modified after a given ISO8601 date
modified_beforestringNoLimit response to resources modified before a given ISO8601 date
codestringNoLimit result set to resources with a specific code
orderby"date" | "id" | "include" | "title" | "slug" | "modified"NoSort collection by attribute
order"asc" | "desc"NoOrder sort attribute ascending or descending
Response Schema

Records

Field NameTypeDescription
idnull | integer
codenull | string
amountnull | string
date_creatednull | string
date_created_gmtnull | string
date_modifiednull | string
date_modified_gmtnull | string
discount_typenull | string
descriptionnull | string
date_expiresnull | string
date_expires_gmtnull | string
usage_countnull | integer
individual_usenull | boolean
product_idsnull | array
excluded_product_idsnull | array
usage_limitnull | integer
usage_limit_per_usernull | integer
limit_usage_to_x_itemsnull | integer
free_shippingnull | boolean
product_categoriesnull | array
excluded_product_categoriesnull | array
exclude_sale_itemsnull | boolean
minimum_amountnull | string
maximum_amountnull | string
email_restrictionsnull | array
used_bynull | array
meta_datanull | array
statusnull | string

Coupons Get

Retrieve a coupon

Python SDK

await woocommerce.coupons.get(
id=0
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "coupons",
"action": "get",
"params": {
"id": 0
}
}'

Parameters

Parameter NameTypeRequiredDescription
idintegerYesUnique identifier for the coupon
Response Schema

Records

Field NameTypeDescription
idnull | integer
codenull | string
amountnull | string
date_creatednull | string
date_created_gmtnull | string
date_modifiednull | string
date_modified_gmtnull | string
discount_typenull | string
descriptionnull | string
date_expiresnull | string
date_expires_gmtnull | string
usage_countnull | integer
individual_usenull | boolean
product_idsnull | array
excluded_product_idsnull | array
usage_limitnull | integer
usage_limit_per_usernull | integer
limit_usage_to_x_itemsnull | integer
free_shippingnull | boolean
product_categoriesnull | array
excluded_product_categoriesnull | array
exclude_sale_itemsnull | boolean
minimum_amountnull | string
maximum_amountnull | string
email_restrictionsnull | array
used_bynull | array
meta_datanull | array
statusnull | string

Search and filter coupons records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await woocommerce.coupons.search(
query={"filter": {"eq": {"amount": "<str>"}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "coupons",
"action": "search",
"params": {
"query": {"filter": {"eq": {"amount": "<str>"}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
amountstringThe amount of discount
codestringCoupon code
date_createdstringThe date the coupon was created
date_created_gmtstringThe date the coupon was created, as GMT
date_expiresstringThe date the coupon expires
date_expires_gmtstringThe date the coupon expires, as GMT
date_modifiedstringThe date the coupon was last modified
date_modified_gmtstringThe date the coupon was last modified, as GMT
descriptionstringCoupon description
discount_typestringDetermines the type of discount
email_restrictionsarrayList of email addresses that can use this coupon
exclude_sale_itemsbooleanIf true, not applied to sale items
excluded_product_categoriesarrayExcluded category IDs
excluded_product_idsarrayExcluded product IDs
free_shippingbooleanEnables free shipping
idintegerUnique identifier
individual_usebooleanCan only be used individually
limit_usage_to_x_itemsintegerMax cart items coupon applies to
maximum_amountstringMaximum order amount
meta_dataarrayMeta data
minimum_amountstringMinimum order amount
product_categoriesarrayApplicable category IDs
product_idsarrayApplicable product IDs
usage_countintegerTimes used
usage_limitintegerTotal usage limit
usage_limit_per_userintegerPer-customer usage limit
used_byarrayUsers who have used the coupon
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].amountstringThe amount of discount
data[].codestringCoupon code
data[].date_createdstringThe date the coupon was created
data[].date_created_gmtstringThe date the coupon was created, as GMT
data[].date_expiresstringThe date the coupon expires
data[].date_expires_gmtstringThe date the coupon expires, as GMT
data[].date_modifiedstringThe date the coupon was last modified
data[].date_modified_gmtstringThe date the coupon was last modified, as GMT
data[].descriptionstringCoupon description
data[].discount_typestringDetermines the type of discount
data[].email_restrictionsarrayList of email addresses that can use this coupon
data[].exclude_sale_itemsbooleanIf true, not applied to sale items
data[].excluded_product_categoriesarrayExcluded category IDs
data[].excluded_product_idsarrayExcluded product IDs
data[].free_shippingbooleanEnables free shipping
data[].idintegerUnique identifier
data[].individual_usebooleanCan only be used individually
data[].limit_usage_to_x_itemsintegerMax cart items coupon applies to
data[].maximum_amountstringMaximum order amount
data[].meta_dataarrayMeta data
data[].minimum_amountstringMinimum order amount
data[].product_categoriesarrayApplicable category IDs
data[].product_idsarrayApplicable product IDs
data[].usage_countintegerTimes used
data[].usage_limitintegerTotal usage limit
data[].usage_limit_per_userintegerPer-customer usage limit
data[].used_byarrayUsers who have used the coupon

Product Categories

Product Categories List

List product categories

Python SDK

await woocommerce.product_categories.list()

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "product_categories",
"action": "list"
}'

Parameters

Parameter NameTypeRequiredDescription
pageintegerNoCurrent page of the collection
per_pageintegerNoMaximum number of items to return per page
searchstringNoLimit results to those matching a string
orderby"id" | "include" | "name" | "slug" | "term_group" | "description" | "count"NoSort collection by attribute
order"asc" | "desc"NoOrder sort attribute ascending or descending
hide_emptybooleanNoWhether to hide categories not assigned to any products
parentintegerNoLimit result set to categories assigned a specific parent
productintegerNoLimit result set to categories assigned to a specific product
slugstringNoLimit result set to categories with a specific slug
Response Schema

Records

Field NameTypeDescription
idnull | integer
namenull | string
slugnull | string
parentnull | integer
descriptionnull | string
displaynull | string
imagenull | object
menu_ordernull | integer
countnull | integer

Product Categories Get

Retrieve a product category

Python SDK

await woocommerce.product_categories.get(
id=0
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "product_categories",
"action": "get",
"params": {
"id": 0
}
}'

Parameters

Parameter NameTypeRequiredDescription
idintegerYesUnique identifier for the category
Response Schema

Records

Field NameTypeDescription
idnull | integer
namenull | string
slugnull | string
parentnull | integer
descriptionnull | string
displaynull | string
imagenull | object
menu_ordernull | integer
countnull | integer

Search and filter product categories records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await woocommerce.product_categories.search(
query={"filter": {"eq": {"count": 0}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "product_categories",
"action": "search",
"params": {
"query": {"filter": {"eq": {"count": 0}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
countintegerNumber of published products for the resource
descriptionstringHTML description of the resource
displaystringCategory archive display type
idintegerUnique identifier for the resource
imagearrayImage data
menu_orderintegerMenu order
namestringCategory name
parentintegerThe ID for the parent of the resource
slugstringAn alphanumeric identifier
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].countintegerNumber of published products for the resource
data[].descriptionstringHTML description of the resource
data[].displaystringCategory archive display type
data[].idintegerUnique identifier for the resource
data[].imagearrayImage data
data[].menu_orderintegerMenu order
data[].namestringCategory name
data[].parentintegerThe ID for the parent of the resource
data[].slugstringAn alphanumeric identifier

Product Tags

Product Tags List

List product tags

Python SDK

await woocommerce.product_tags.list()

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "product_tags",
"action": "list"
}'

Parameters

Parameter NameTypeRequiredDescription
pageintegerNoCurrent page of the collection
per_pageintegerNoMaximum number of items to return per page
searchstringNoLimit results to those matching a string
orderby"id" | "include" | "name" | "slug" | "term_group" | "description" | "count"NoSort collection by attribute
order"asc" | "desc"NoOrder sort attribute ascending or descending
hide_emptybooleanNoWhether to hide tags not assigned to any products
productintegerNoLimit result set to tags assigned to a specific product
slugstringNoLimit result set to tags with a specific slug
Response Schema

Records

Field NameTypeDescription
idnull | integer
namenull | string
slugnull | string
descriptionnull | string
countnull | integer

Product Tags Get

Retrieve a product tag

Python SDK

await woocommerce.product_tags.get(
id=0
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "product_tags",
"action": "get",
"params": {
"id": 0
}
}'

Parameters

Parameter NameTypeRequiredDescription
idintegerYesUnique identifier for the tag
Response Schema

Records

Field NameTypeDescription
idnull | integer
namenull | string
slugnull | string
descriptionnull | string
countnull | integer

Search and filter product tags records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await woocommerce.product_tags.search(
query={"filter": {"eq": {"count": 0}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "product_tags",
"action": "search",
"params": {
"query": {"filter": {"eq": {"count": 0}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
countintegerNumber of published products
descriptionstringHTML description
idintegerUnique identifier
namestringTag name
slugstringAlphanumeric identifier
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].countintegerNumber of published products
data[].descriptionstringHTML description
data[].idintegerUnique identifier
data[].namestringTag name
data[].slugstringAlphanumeric identifier

Product Reviews

Product Reviews List

List product reviews

Python SDK

await woocommerce.product_reviews.list()

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "product_reviews",
"action": "list"
}'

Parameters

Parameter NameTypeRequiredDescription
pageintegerNoCurrent page of the collection
per_pageintegerNoMaximum number of items to return per page
searchstringNoLimit results to those matching a string
afterstringNoLimit response to reviews published after a given ISO8601 date
beforestringNoLimit response to reviews published before a given ISO8601 date
productarray<integer>NoLimit result set to reviews assigned to specific product IDs
status"all" | "hold" | "approved" | "spam" | "trash"NoLimit result set to reviews assigned a specific status
Response Schema

Records

Field NameTypeDescription
idnull | integer
date_creatednull | string
date_created_gmtnull | string
product_idnull | integer
product_namenull | string
product_permalinknull | string
statusnull | string
reviewernull | string
reviewer_emailnull | string
reviewnull | string
ratingnull | integer
verifiednull | boolean
reviewer_avatar_urlsnull | object

Product Reviews Get

Retrieve a product review

Python SDK

await woocommerce.product_reviews.get(
id=0
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "product_reviews",
"action": "get",
"params": {
"id": 0
}
}'

Parameters

Parameter NameTypeRequiredDescription
idintegerYesUnique identifier for the review
Response Schema

Records

Field NameTypeDescription
idnull | integer
date_creatednull | string
date_created_gmtnull | string
product_idnull | integer
product_namenull | string
product_permalinknull | string
statusnull | string
reviewernull | string
reviewer_emailnull | string
reviewnull | string
ratingnull | integer
verifiednull | boolean
reviewer_avatar_urlsnull | object

Search and filter product reviews records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await woocommerce.product_reviews.search(
query={"filter": {"eq": {"date_created": "<str>"}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "product_reviews",
"action": "search",
"params": {
"query": {"filter": {"eq": {"date_created": "<str>"}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
date_createdstringThe date the review was created
date_created_gmtstringThe date the review was created, as GMT
idintegerUnique identifier
product_idintegerProduct the review belongs to
ratingintegerReview rating (0 to 5)
reviewstringThe content of the review
reviewerstringReviewer name
reviewer_emailstringReviewer email
statusstringStatus of the review
verifiedbooleanShows if the reviewer bought the product
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].date_createdstringThe date the review was created
data[].date_created_gmtstringThe date the review was created, as GMT
data[].idintegerUnique identifier
data[].product_idintegerProduct the review belongs to
data[].ratingintegerReview rating (0 to 5)
data[].reviewstringThe content of the review
data[].reviewerstringReviewer name
data[].reviewer_emailstringReviewer email
data[].statusstringStatus of the review
data[].verifiedbooleanShows if the reviewer bought the product

Product Attributes

Product Attributes List

List product attributes

Python SDK

await woocommerce.product_attributes.list()

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "product_attributes",
"action": "list"
}'

Parameters

Parameter NameTypeRequiredDescription
pageintegerNoCurrent page of the collection
per_pageintegerNoMaximum number of items to return per page
Response Schema

Records

Field NameTypeDescription
idnull | integer
namenull | string
slugnull | string
typenull | string
order_bynull | string
has_archivesnull | boolean

Product Attributes Get

Retrieve a product attribute

Python SDK

await woocommerce.product_attributes.get(
id=0
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "product_attributes",
"action": "get",
"params": {
"id": 0
}
}'

Parameters

Parameter NameTypeRequiredDescription
idintegerYesUnique identifier for the attribute
Response Schema

Records

Field NameTypeDescription
idnull | integer
namenull | string
slugnull | string
typenull | string
order_bynull | string
has_archivesnull | boolean

Search and filter product attributes records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await woocommerce.product_attributes.search(
query={"filter": {"eq": {"has_archives": True}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "product_attributes",
"action": "search",
"params": {
"query": {"filter": {"eq": {"has_archives": True}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
has_archivesbooleanEnable/Disable attribute archives
idintegerUnique identifier
namestringAttribute name
order_bystringDefault sort order
slugstringAlphanumeric identifier
typestringType of attribute
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].has_archivesbooleanEnable/Disable attribute archives
data[].idintegerUnique identifier
data[].namestringAttribute name
data[].order_bystringDefault sort order
data[].slugstringAlphanumeric identifier
data[].typestringType of attribute

Product Variations

Product Variations List

List product variations

Python SDK

await woocommerce.product_variations.list(
product_id=0
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "product_variations",
"action": "list",
"params": {
"product_id": 0
}
}'

Parameters

Parameter NameTypeRequiredDescription
product_idintegerYesUnique identifier for the parent product
pageintegerNoCurrent page of the collection
per_pageintegerNoMaximum number of items to return per page
searchstringNoLimit results to those matching a string
skustringNoLimit result set to variations with a specific SKU
status"any" | "draft" | "pending" | "private" | "publish"NoLimit result set to variations with a specific status
stock_status"instock" | "outofstock" | "onbackorder"NoLimit result set to variations with specified stock status
on_salebooleanNoLimit result set to variations on sale
min_pricestringNoLimit result set to variations based on a minimum price
max_pricestringNoLimit result set to variations based on a maximum price
orderby"date" | "id" | "include" | "title" | "slug" | "menu_order" | "modified"NoSort collection by attribute
order"asc" | "desc"NoOrder sort attribute ascending or descending
Response Schema

Records

Field NameTypeDescription
idnull | integer
date_creatednull | string
date_created_gmtnull | string
date_modifiednull | string
date_modified_gmtnull | string
descriptionnull | string
permalinknull | string
skunull | string
pricenull | string
regular_pricenull | string
sale_pricenull | string
date_on_sale_fromnull | string
date_on_sale_from_gmtnull | string
date_on_sale_tonull | string
date_on_sale_to_gmtnull | string
on_salenull | boolean
statusnull | string
purchasablenull | boolean
virtualnull | boolean
downloadablenull | boolean
downloadsnull | array
download_limitnull | integer
download_expirynull | integer
tax_statusnull | string
tax_classnull | string
manage_stocknull | boolean
stock_quantitynull | integer
stock_statusnull | string
backordersnull | string
backorders_allowednull | boolean
backorderednull | boolean
weightnull | string
dimensionsnull | object
shipping_classnull | string
shipping_class_idnull | integer
imagenull | object
attributesnull | array
menu_ordernull | integer
meta_datanull | array
typenull | string
global_unique_idnull | string
low_stock_amountnull | integer
namenull | string
parent_idnull | integer

Product Variations Get

Retrieve a product variation

Python SDK

await woocommerce.product_variations.get(
product_id=0,
id=0
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "product_variations",
"action": "get",
"params": {
"product_id": 0,
"id": 0
}
}'

Parameters

Parameter NameTypeRequiredDescription
product_idintegerYesUnique identifier for the parent product
idintegerYesUnique identifier for the variation
Response Schema

Records

Field NameTypeDescription
idnull | integer
date_creatednull | string
date_created_gmtnull | string
date_modifiednull | string
date_modified_gmtnull | string
descriptionnull | string
permalinknull | string
skunull | string
pricenull | string
regular_pricenull | string
sale_pricenull | string
date_on_sale_fromnull | string
date_on_sale_from_gmtnull | string
date_on_sale_tonull | string
date_on_sale_to_gmtnull | string
on_salenull | boolean
statusnull | string
purchasablenull | boolean
virtualnull | boolean
downloadablenull | boolean
downloadsnull | array
download_limitnull | integer
download_expirynull | integer
tax_statusnull | string
tax_classnull | string
manage_stocknull | boolean
stock_quantitynull | integer
stock_statusnull | string
backordersnull | string
backorders_allowednull | boolean
backorderednull | boolean
weightnull | string
dimensionsnull | object
shipping_classnull | string
shipping_class_idnull | integer
imagenull | object
attributesnull | array
menu_ordernull | integer
meta_datanull | array
typenull | string
global_unique_idnull | string
low_stock_amountnull | integer
namenull | string
parent_idnull | integer

Search and filter product variations records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await woocommerce.product_variations.search(
query={"filter": {"eq": {"attributes": []}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "product_variations",
"action": "search",
"params": {
"query": {"filter": {"eq": {"attributes": []}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
attributesarrayList of attributes
backorderedbooleanOn backordered
backordersstringBackorders allowed setting
backorders_allowedbooleanShows if backorders are allowed
date_createdstringThe date the variation was created
date_created_gmtstringThe date the variation was created, as GMT
date_modifiedstringThe date the variation was last modified
date_modified_gmtstringThe date the variation was last modified, as GMT
date_on_sale_fromstringStart date of sale price
date_on_sale_from_gmtstringStart date of sale price, as GMT
date_on_sale_tostringEnd date of sale price
date_on_sale_to_gmtstringEnd date of sale price, as GMT
descriptionstringVariation description
dimensionsobjectVariation dimensions
download_expiryintegerDays until access expires
download_limitintegerDownload limit
downloadablebooleanIf downloadable
downloadsarrayDownloadable files
idintegerUnique identifier
imagearrayVariation image data
manage_stockstringStock management at variation level
menu_orderintegerMenu order
meta_dataarrayMeta data
on_salebooleanShows if on sale
permalinkstringVariation URL
pricestringCurrent variation price
purchasablebooleanCan be bought
regular_pricestringVariation regular price
sale_pricestringVariation sale price
shipping_classstringShipping class slug
shipping_class_idintegerShipping class ID
skustringUnique identifier (SKU)
statusstringVariation status
stock_quantityintegerStock quantity
stock_statusstringControls the stock status
tax_classstringTax class
tax_statusstringTax status
virtualbooleanIf virtual
weightstringVariation weight
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].attributesarrayList of attributes
data[].backorderedbooleanOn backordered
data[].backordersstringBackorders allowed setting
data[].backorders_allowedbooleanShows if backorders are allowed
data[].date_createdstringThe date the variation was created
data[].date_created_gmtstringThe date the variation was created, as GMT
data[].date_modifiedstringThe date the variation was last modified
data[].date_modified_gmtstringThe date the variation was last modified, as GMT
data[].date_on_sale_fromstringStart date of sale price
data[].date_on_sale_from_gmtstringStart date of sale price, as GMT
data[].date_on_sale_tostringEnd date of sale price
data[].date_on_sale_to_gmtstringEnd date of sale price, as GMT
data[].descriptionstringVariation description
data[].dimensionsobjectVariation dimensions
data[].download_expiryintegerDays until access expires
data[].download_limitintegerDownload limit
data[].downloadablebooleanIf downloadable
data[].downloadsarrayDownloadable files
data[].idintegerUnique identifier
data[].imagearrayVariation image data
data[].manage_stockstringStock management at variation level
data[].menu_orderintegerMenu order
data[].meta_dataarrayMeta data
data[].on_salebooleanShows if on sale
data[].permalinkstringVariation URL
data[].pricestringCurrent variation price
data[].purchasablebooleanCan be bought
data[].regular_pricestringVariation regular price
data[].sale_pricestringVariation sale price
data[].shipping_classstringShipping class slug
data[].shipping_class_idintegerShipping class ID
data[].skustringUnique identifier (SKU)
data[].statusstringVariation status
data[].stock_quantityintegerStock quantity
data[].stock_statusstringControls the stock status
data[].tax_classstringTax class
data[].tax_statusstringTax status
data[].virtualbooleanIf virtual
data[].weightstringVariation weight

Order Notes

Order Notes List

List order notes

Python SDK

await woocommerce.order_notes.list(
order_id=0
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "order_notes",
"action": "list",
"params": {
"order_id": 0
}
}'

Parameters

Parameter NameTypeRequiredDescription
order_idintegerYesUnique identifier for the order
type"any" | "customer" | "internal"NoLimit result set to a specific note type
Response Schema

Records

Field NameTypeDescription
idnull | integer
authornull | string
date_creatednull | string
date_created_gmtnull | string
notenull | string
customer_notenull | boolean

Order Notes Get

Retrieve an order note

Python SDK

await woocommerce.order_notes.get(
order_id=0,
id=0
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "order_notes",
"action": "get",
"params": {
"order_id": 0,
"id": 0
}
}'

Parameters

Parameter NameTypeRequiredDescription
order_idintegerYesUnique identifier for the order
idintegerYesUnique identifier for the note
Response Schema

Records

Field NameTypeDescription
idnull | integer
authornull | string
date_creatednull | string
date_created_gmtnull | string
notenull | string
customer_notenull | boolean

Search and filter order notes records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await woocommerce.order_notes.search(
query={"filter": {"eq": {"author": "<str>"}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "order_notes",
"action": "search",
"params": {
"query": {"filter": {"eq": {"author": "<str>"}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
authorstringOrder note author
date_createdstringThe date the order note was created
date_created_gmtstringThe date the order note was created, as GMT
idintegerUnique identifier
notestringOrder note content
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].authorstringOrder note author
data[].date_createdstringThe date the order note was created
data[].date_created_gmtstringThe date the order note was created, as GMT
data[].idintegerUnique identifier
data[].notestringOrder note content

Refunds

Refunds List

List order refunds

Python SDK

await woocommerce.refunds.list(
order_id=0
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "refunds",
"action": "list",
"params": {
"order_id": 0
}
}'

Parameters

Parameter NameTypeRequiredDescription
order_idintegerYesUnique identifier for the order
pageintegerNoCurrent page of the collection
per_pageintegerNoMaximum number of items to return per page
Response Schema

Records

Field NameTypeDescription
idnull | integer
date_creatednull | string
date_created_gmtnull | string
amountnull | string
reasonnull | string
refunded_bynull | integer
refunded_paymentnull | boolean
meta_datanull | array
line_itemsnull | array
shipping_linesnull | array
tax_linesnull | array
fee_linesnull | array

Refunds Get

Retrieve a refund

Python SDK

await woocommerce.refunds.get(
order_id=0,
id=0
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "refunds",
"action": "get",
"params": {
"order_id": 0,
"id": 0
}
}'

Parameters

Parameter NameTypeRequiredDescription
order_idintegerYesUnique identifier for the order
idintegerYesUnique identifier for the refund
Response Schema

Records

Field NameTypeDescription
idnull | integer
date_creatednull | string
date_created_gmtnull | string
amountnull | string
reasonnull | string
refunded_bynull | integer
refunded_paymentnull | boolean
meta_datanull | array
line_itemsnull | array
shipping_linesnull | array
tax_linesnull | array
fee_linesnull | array

Search and filter refunds records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await woocommerce.refunds.search(
query={"filter": {"eq": {"amount": "<str>"}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "refunds",
"action": "search",
"params": {
"query": {"filter": {"eq": {"amount": "<str>"}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
amountstringRefund amount
date_createdstringThe date the refund was created
date_created_gmtstringThe date the refund was created, as GMT
idintegerUnique identifier
line_itemsarrayLine items data
meta_dataarrayMeta data
reasonstringReason for refund
refunded_byintegerUser ID of user who created the refund
refunded_paymentbooleanIf the payment was refunded via the API
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].amountstringRefund amount
data[].date_createdstringThe date the refund was created
data[].date_created_gmtstringThe date the refund was created, as GMT
data[].idintegerUnique identifier
data[].line_itemsarrayLine items data
data[].meta_dataarrayMeta data
data[].reasonstringReason for refund
data[].refunded_byintegerUser ID of user who created the refund
data[].refunded_paymentbooleanIf the payment was refunded via the API

Payment Gateways

Payment Gateways List

List payment gateways

Python SDK

await woocommerce.payment_gateways.list()

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "payment_gateways",
"action": "list"
}'
Response Schema

Records

Field NameTypeDescription
idnull | string
titlenull | string
descriptionnull | string
ordernull | integer
enablednull | boolean
method_titlenull | string
method_descriptionnull | string
method_supportsnull | array
settingsnull | object
needs_setupnull | boolean
post_install_scriptsnull | array
settings_urlnull | string
connection_urlnull | string
setup_help_textnull | string
required_settings_keysnull | array

Payment Gateways Get

Retrieve a payment gateway

Python SDK

await woocommerce.payment_gateways.get(
id="<str>"
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "payment_gateways",
"action": "get",
"params": {
"id": "<str>"
}
}'

Parameters

Parameter NameTypeRequiredDescription
idstringYesUnique identifier for the payment gateway
Response Schema

Records

Field NameTypeDescription
idnull | string
titlenull | string
descriptionnull | string
ordernull | integer
enablednull | boolean
method_titlenull | string
method_descriptionnull | string
method_supportsnull | array
settingsnull | object
needs_setupnull | boolean
post_install_scriptsnull | array
settings_urlnull | string
connection_urlnull | string
setup_help_textnull | string
required_settings_keysnull | array

Search and filter payment gateways records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await woocommerce.payment_gateways.search(
query={"filter": {"eq": {"description": "<str>"}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "payment_gateways",
"action": "search",
"params": {
"query": {"filter": {"eq": {"description": "<str>"}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
descriptionstringPayment gateway description on checkout
enabledbooleanPayment gateway enabled status
idstringPayment gateway ID
method_descriptionstringPayment gateway method description
method_supportsarraySupported features
method_titlestringPayment gateway method title
order`stringinteger`
settingsobjectPayment gateway settings
titlestringPayment gateway title on checkout
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].descriptionstringPayment gateway description on checkout
data[].enabledbooleanPayment gateway enabled status
data[].idstringPayment gateway ID
data[].method_descriptionstringPayment gateway method description
data[].method_supportsarraySupported features
data[].method_titlestringPayment gateway method title
data[].order`stringinteger`
data[].settingsobjectPayment gateway settings
data[].titlestringPayment gateway title on checkout

Shipping Methods

Shipping Methods List

List shipping methods

Python SDK

await woocommerce.shipping_methods.list()

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "shipping_methods",
"action": "list"
}'
Response Schema

Records

Field NameTypeDescription
idnull | string
titlenull | string
descriptionnull | string

Shipping Methods Get

Retrieve a shipping method

Python SDK

await woocommerce.shipping_methods.get(
id="<str>"
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "shipping_methods",
"action": "get",
"params": {
"id": "<str>"
}
}'

Parameters

Parameter NameTypeRequiredDescription
idstringYesUnique identifier for the shipping method
Response Schema

Records

Field NameTypeDescription
idnull | string
titlenull | string
descriptionnull | string

Search and filter shipping methods records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await woocommerce.shipping_methods.search(
query={"filter": {"eq": {"description": "<str>"}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "shipping_methods",
"action": "search",
"params": {
"query": {"filter": {"eq": {"description": "<str>"}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
descriptionstringShipping method description
idstringMethod ID
titlestringShipping method title
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].descriptionstringShipping method description
data[].idstringMethod ID
data[].titlestringShipping method title

Shipping Zones

Shipping Zones List

List shipping zones

Python SDK

await woocommerce.shipping_zones.list()

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "shipping_zones",
"action": "list"
}'
Response Schema

Records

Field NameTypeDescription
idnull | integer
namenull | string
ordernull | integer

Shipping Zones Get

Retrieve a shipping zone

Python SDK

await woocommerce.shipping_zones.get(
id=0
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "shipping_zones",
"action": "get",
"params": {
"id": 0
}
}'

Parameters

Parameter NameTypeRequiredDescription
idintegerYesUnique identifier for the shipping zone
Response Schema

Records

Field NameTypeDescription
idnull | integer
namenull | string
ordernull | integer

Search and filter shipping zones records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await woocommerce.shipping_zones.search(
query={"filter": {"eq": {"id": 0}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "shipping_zones",
"action": "search",
"params": {
"query": {"filter": {"eq": {"id": 0}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
idintegerUnique identifier
namestringShipping zone name
orderintegerShipping zone order
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].idintegerUnique identifier
data[].namestringShipping zone name
data[].orderintegerShipping zone order

Tax Rates

Tax Rates List

List tax rates

Python SDK

await woocommerce.tax_rates.list()

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "tax_rates",
"action": "list"
}'

Parameters

Parameter NameTypeRequiredDescription
pageintegerNoCurrent page of the collection
per_pageintegerNoMaximum number of items to return per page
classstringNoSort by tax class
orderby"id" | "order" | "priority"NoSort collection by attribute
order"asc" | "desc"NoOrder sort attribute ascending or descending
Response Schema

Records

Field NameTypeDescription
idnull | integer
countrynull | string
statenull | string
postcodenull | string
citynull | string
postcodesnull | array
citiesnull | array
ratenull | string
namenull | string
prioritynull | integer
compoundnull | boolean
shippingnull | boolean
ordernull | integer
classnull | string

Tax Rates Get

Retrieve a tax rate

Python SDK

await woocommerce.tax_rates.get(
id=0
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "tax_rates",
"action": "get",
"params": {
"id": 0
}
}'

Parameters

Parameter NameTypeRequiredDescription
idintegerYesUnique identifier for the tax rate
Response Schema

Records

Field NameTypeDescription
idnull | integer
countrynull | string
statenull | string
postcodenull | string
citynull | string
postcodesnull | array
citiesnull | array
ratenull | string
namenull | string
prioritynull | integer
compoundnull | boolean
shippingnull | boolean
ordernull | integer
classnull | string

Search and filter tax rates records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await woocommerce.tax_rates.search(
query={"filter": {"eq": {"cities": []}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "tax_rates",
"action": "search",
"params": {
"query": {"filter": {"eq": {"cities": []}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
citiesarrayCity names
citystringCity name
classstringTax class
compoundbooleanWhether this is a compound rate
countrystringCountry ISO 3166 code
idintegerUnique identifier
namestringTax rate name
orderintegerOrder in queries
postcodestringPostcode/ZIP
postcodesarrayPostcodes/ZIPs
priorityintegerTax priority
ratestringTax rate
shippingbooleanApplied to shipping
statestringState code
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].citiesarrayCity names
data[].citystringCity name
data[].classstringTax class
data[].compoundbooleanWhether this is a compound rate
data[].countrystringCountry ISO 3166 code
data[].idintegerUnique identifier
data[].namestringTax rate name
data[].orderintegerOrder in queries
data[].postcodestringPostcode/ZIP
data[].postcodesarrayPostcodes/ZIPs
data[].priorityintegerTax priority
data[].ratestringTax rate
data[].shippingbooleanApplied to shipping
data[].statestringState code

Tax Classes

Tax Classes List

List tax classes

Python SDK

await woocommerce.tax_classes.list()

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "tax_classes",
"action": "list"
}'
Response Schema

Records

Field NameTypeDescription
slugnull | string
namenull | string

Search and filter tax classes records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await woocommerce.tax_classes.search(
query={"filter": {"eq": {"name": "<str>"}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "tax_classes",
"action": "search",
"params": {
"query": {"filter": {"eq": {"name": "<str>"}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
namestringTax class name
slugstringUnique identifier
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].namestringTax class name
data[].slugstringUnique identifier